{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://chyf-web.azurewebsites.net/chyf-web","description":"Generated server url"}],"paths":{"/tiles/water/{z}/{x}/{y}.{format}":{"get":{"tags":["vector-tile-controller"],"operationId":"getWaterTile","parameters":[{"name":"z","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"x","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"y","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.mapbox-vector-tile":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/tiles/shoreline/{z}/{x}/{y}.{format}":{"get":{"tags":["vector-tile-controller"],"operationId":"getShorelineTile","parameters":[{"name":"z","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"x","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"y","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.mapbox-vector-tile":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/tiles/nhnworkunit/{z}/{x}/{y}.{format}":{"get":{"tags":["vector-tile-controller"],"operationId":"getNhnWorkUnit","parameters":[{"name":"z","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"x","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"y","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.mapbox-vector-tile":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/tiles/ecatchment/{z}/{x}/{y}.{format}":{"get":{"tags":["vector-tile-controller"],"operationId":"getCatchmentTile","parameters":[{"name":"z","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"x","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"y","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"format","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/vnd.mapbox-vector-tile":{"schema":{"type":"array","items":{"type":"string","format":"byte"}}}}}}}},"/graph":{"get":{"tags":["graph-export-controller"],"summary":"Export graph for given filter","operationId":"exportNetwork","parameters":[{"name":"bbox","in":"query","description":"The extent of features to include in export (minlong,minlat,maxlong,maxlat)","required":false,"schema":{"$ref":"#/components/schemas/Envelope"}},{"name":"aois","in":"query","required":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Export a set of features with graph structure information","content":{"application/gpkg":{}}}}}},"/features":{"get":{"tags":["feature-controller"],"summary":"Searches for features name and type. Supported types include flowpath, waterbody and catchment.","operationId":"getFeatureByName","parameters":[{"name":"name","in":"query","description":"The name to match","required":true,"schema":{"type":"string"}},{"name":"result-type","in":"query","description":"The type of result to return. (bbox, all, groupbytype, groupbyname)","required":false,"schema":{"type":"string","enum":["BBOX","ALL_FEATURES","GROUP_BY_TYPE","GROUP_BY_NAME"]}},{"name":"max-results","in":"query","description":"The maximum number of search results to return.  If not provided a system defined maximum is used.","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"400":{"description":"When one of the parameters is not in a valid format","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"200":{"description":"Return all feature features that match search parameters as a GeoJson feature collection.","content":{"application/geo+json":{}}}}}},"/features/{id}":{"get":{"tags":["feature-controller"],"summary":"Find an individual feature.","operationId":"getFeature","parameters":[{"name":"id","in":"path","description":"unique feature identifier","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"The feature as a GeoJson feature. Feature attributes will vary by feature type.","content":{"application/geo+json":{}}},"404":{"description":"feature not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}},"components":{"schemas":{"Envelope":{"type":"object","properties":{"null":{"type":"boolean"},"diameter":{"type":"number","format":"double"},"minX":{"type":"number","format":"double"},"maxX":{"type":"number","format":"double"},"minY":{"type":"number","format":"double"},"maxY":{"type":"number","format":"double"},"width":{"type":"number","format":"double"},"height":{"type":"number","format":"double"},"area":{"type":"number","format":"double"}}},"ApiError":{"type":"object","properties":{"timestamp":{"type":"string","format":"date-time"},"message":{"type":"string"}}}}}}